Commit c35607ea authored by Felix Janda's avatar Felix Janda Committed by Mike Frysinger

Remove inconsistent conditional includes for libc5 and glibc 2.0

Wrong conditional includes intended for support of libc5 and glibc
2.0 prevented compilation under systems with alternative libcs,
such as musl. For simplicity, remove these includes necessary for
libc5 and glibc 2.0.
parent 92773ed6
......@@ -24,11 +24,7 @@
#include <arpa/inet.h>
#include <string.h>
#if defined(__GLIBC__) && (__GLIBC__ > 2 || (__GLIBC__ == 2 && __GLIBC_MINOR__ >= 1))
#include <net/if.h>
#else
#include <linux/if.h>
#endif
#include "config.h"
#include "intl.h"
......
......@@ -28,13 +28,8 @@
#include <netinet/in.h>
#include <netinet/ip.h>
#include <arpa/inet.h>
#if defined(__GLIBC__) && (__GLIBC__ > 2 || (__GLIBC__ == 2 && __GLIBC_MINOR__ >= 1))
#include <net/if.h>
#include <net/if_arp.h>
#else
#include <linux/if.h>
#include <linux/if_arp.h>
#endif
#include <linux/types.h>
#include <linux/if_tunnel.h>
......
......@@ -46,10 +46,6 @@
#include <net/if.h>
#include <linux/sockios.h>
#ifndef __GLIBC__
#include <linux/if_arp.h>
#include <linux/if_ether.h>
#endif
#include <linux/mii.h>
#include <linux/sockios.h>
#include "version.h"
......
......@@ -42,18 +42,11 @@
#include <signal.h>
#include <stdlib.h>
#include <string.h>
#include <termios.h>
#include <unistd.h>
#include <getopt.h>
#include <linux/if_slip.h>
#if defined(__GLIBC__)
#if __GLIBC__ == 2 && __GLIBC_MINOR__ == 0
# include <termbits.h>
#else
# include <termios.h>
#endif
#endif
#include "pathnames.h"
#include "net-support.h"
#include "version.h"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment